
get
/v4/schemas/{groupName}
List schemas in a group (BETA)List schemas in a group
Returns every entry of the enum backing the given group. Each entry contains the addressable value, the enum key and an optional human-readable description. Use one of these values (or the key) as :typeId in GET /v4/schemas/:groupName/:typeId.
Example: GET /v4/schemas/distributionMethod returns the list of DistributionMethod values for which a JSON Schema is available.
Responds 404 if groupName is not a known group — see GET /v4/schemas for the list of valid groups.
Path parameters
groupNamestringrequired
Schema group name
Responses
200Response for status 200
Schema
object
namestringrequired
Schema group nameenumNamestringrequired
Underlying enum namevalueTypeenumrequired
Type of the discriminator valuesnumberstringentriesobject[]requiredAll schemas available in this group
valuenumber | stringEnum value addressing this schemakeystringEnum keydescriptionstringOptional human-readable descriptionExample
{
"name": "string",
"enumName": "string",
"valueType": "number",
"entries": [
{
"value": "string",
"key": "string",
"description": "string"
}
]
}get
https://api.merkl.xyz/v4/schemas/curl -X GET "https://api.merkl.xyz/v4/schemas/campaignType"